poll_joystick(3)

NAME
poll_joystick

SYNOPSIS
#include <allegro.h>

int poll_joystick();

DESCRIPTION
The joystick is not interrupt driven, so you need to call this function every now and again to update the global position values. Returns zero on success or a negative number on failure (usually because no joystick driver was installed).

SEE ALSO
install_joystick(3), joy(3), num_joysticks(3)